AudioSuno
Upload Audio
Submit this Suno capability through POST /v1/music/generations with model: "suno-upload".
Authorization
BearerAuth
AuthorizationBearer <token>
使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。
In: header
Request Body
application/json
model*string
固定填写 suno-upload。
audio_file_path*string
已上传到对象存储、可公开读取的音频 HTTP(S) 直链,必填。本机路径与 blob: URL 不可用。MAPI 会转换为上游 audioFilePath。
Format
uriResponse Body
application/json
application/json
curl -X POST "https://loading/v1/music/generations" \ -H "Content-Type: application/json" \ -d '{ "model": "suno-upload", "audio_file_path": "https://example.com/source.mp3" }'{
"code": 200,
"message": "success",
"data": [
{
"status": "submitted",
"task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
}
]
}{
"code": "invalid_request",
"message": "task_id is required",
"data": null
}Last updated on